Debian Bug report logs - #565242
libdb-dev: db4.8 breaks sendmail

version graph

Package: libdb5.1; Maintainer for libdb5.1 is Debian Berkeley DB Group <pkg-db-devel@lists.alioth.debian.org>; Source for libdb5.1 is src:db.

Reported by: Richard A Nelson <cowboy@debian.org>

Date: Thu, 14 Jan 2010 05:09:02 UTC

Severity: important

Found in versions db/4.8.24-1, db4.8/4.8.26-3

Fixed in versions db4.8/4.8.30-1, db/5.0.21-1

Done: Ondřej Surý <ondrej@sury.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#565242; Package libdb-dev. (Thu, 14 Jan 2010 05:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard A Nelson <cowboy@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Thu, 14 Jan 2010 05:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Richard A Nelson <cowboy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdb-dev: db4.8 breaks multiple programs
Date: Wed, 13 Jan 2010 21:07:56 -0800
Package: libdb-dev
Severity: important

Whilst creating a new sendmail package, I pulled in the current
libdb-dev (4.8), and found that the built package is broken - at least
the db related portions.
	>> # makemap hash access < access
	>> access.db: Invalid type 5 specified
	>> makemap: error opening type hash map access: Invalid argument 

Downgrading to db4.7 allows things to once again work.
A search showed this to be a known issue:
	http://groups.google.com/group/comp.mail.sendmail/browse_thread/thread/681b0167dc95bf10
	http://bugs.gentoo.org/show_bug.cgi?id=294819

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdb-dev depends on:
pn  libdb4.8-dev                  <none>     (no description available)

libdb-dev recommends no packages.

libdb-dev suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#565242; Package libdb-dev. (Thu, 14 Jan 2010 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Thu, 14 Jan 2010 06:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 565242@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Richard A Nelson <cowboy@debian.org>, 565242@bugs.debian.org
Subject: Re: [Pkg-db-devel] Bug#565242: libdb-dev: db4.8 breaks multiple programs
Date: Thu, 14 Jan 2010 06:49:53 +0000
On Wed, Jan 13, 2010 at 09:07:56PM -0800, Richard A Nelson wrote:
> Whilst creating a new sendmail package, I pulled in the current
> libdb-dev (4.8), and found that the built package is broken - at least
> the db related portions.
> 	>> # makemap hash access < access
> 	>> access.db: Invalid type 5 specified
> 	>> makemap: error opening type hash map access: Invalid argument 
> 
> Downgrading to db4.7 allows things to once again work.
> A search showed this to be a known issue:
> 	http://groups.google.com/group/comp.mail.sendmail/browse_thread/thread/681b0167dc95bf10
> 	http://bugs.gentoo.org/show_bug.cgi?id=294819

Can you elaborate on the "multiple programs" bit?  I see nothing about this on forums.oracle.com.

Could you confirm that db->open is being called with dbtype equal to 2?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#565242; Package libdb-dev. (Thu, 14 Jan 2010 07:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Thu, 14 Jan 2010 07:54:04 GMT) Full text and rfc822 format available.

Message #15 received at 565242@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Richard A Nelson <cowboy@debian.org>, 565242@bugs.debian.org
Subject: Re: [Pkg-db-devel] Bug#565242: Bug#565242: libdb-dev: db4.8 breaks multiple programs
Date: Thu, 14 Jan 2010 07:53:24 +0000
On Thu, Jan 14, 2010 at 06:49:53AM +0000, Clint Adams wrote:
> Could you confirm that db->open is being called with dbtype equal to 2?

Well, it is, and BDB 4.8 certainly seems brain-damaged, because it's calling

 ret = __db_open(tdbp, ip, txn, fname, dname, DB_UNKNOWN,
                     flags &  ~(DB_TRUNCATE|DB_CREATE), mode, meta_pgno);

itself and then expecting ret to be 0.  Or perhaps I'm missing something.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>:
Bug#565242; Package libdb-dev. (Thu, 14 Jan 2010 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Berkeley DB Maintainers <pkg-db-devel@lists.alioth.debian.org>. (Thu, 14 Jan 2010 08:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 565242@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Richard A Nelson <cowboy@debian.org>, 565242@bugs.debian.org
Subject: Re: [Pkg-db-devel] Bug#565242: libdb-dev: db4.8 breaks multiple programs
Date: Thu, 14 Jan 2010 08:07:36 +0000
On Wed, Jan 13, 2010 at 09:07:56PM -0800, Richard A Nelson wrote:
> Whilst creating a new sendmail package, I pulled in the current
> libdb-dev (4.8), and found that the built package is broken - at least
> the db related portions.
> 	>> # makemap hash access < access
> 	>> access.db: Invalid type 5 specified
> 	>> makemap: error opening type hash map access: Invalid argument 

Okay, so the issue here is that makemap is creating a 0-byte access.db file
(in order to lock it?), and this is what's breaking BDB 4.8.  I suggest not
doing this, and letting BDB create the file itself and use its own locking.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#565242; Package libdb-dev. (Mon, 28 Mar 2011 17:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 28 Mar 2011 17:21:10 GMT) Full text and rfc822 format available.

Message #25 received at 565242@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 565242@bugs.debian.org, Richard A Nelson <cowboy@debian.org>
Cc: control <control@bugs.debian.org>
Subject: Bug#565242: libdb-dev: db4.8 breaks multiple programs
Date: Mon, 28 Mar 2011 19:17:36 +0200
retitle 565242 libdb-dev: db4.8 breaks sendmail
thank you

Hi Richard,

could you confirm that this is still an issue? The db-defaults was
meanwhile upgraded to depend on db5.1, so the situation has changed
anyway.

Last message from clint was:

> Okay, so the issue here is that makemap is creating a 0-byte access.db file
> (in order to lock it?), and this is what's breaking BDB 4.8.  I suggest not
> doing this, and letting BDB create the file itself and use its own locking.

I guess either the sendmail needs a fix or you depend on libdb4.7-dev
for now. (However I would like to slowly narrow down the number of db*
versions in unstable.)

Ondrej
-- 
Ondřej Surý <ondrej@sury.org>




Changed Bug title to 'libdb-dev: db4.8 breaks sendmail' from 'libdb-dev: db4.8 breaks multiple programs' Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 28 Mar 2011 17:21:22 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libdb-dev' to 'libdb5.1'. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Thu, 21 Apr 2011 15:00:08 GMT) Full text and rfc822 format available.

Message sent on to Richard A Nelson <cowboy@debian.org>:
Bug#565242. (Thu, 21 Apr 2011 15:00:10 GMT) Full text and rfc822 format available.

Message #32 received at 565242-submitter@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: control <control@bugs.debian.org>, 565242-submitter@bugs.debian.org
Subject: Reassign to db5.1
Date: Thu, 21 Apr 2011 16:57:55 +0200
reassign 565242 libdb5.1
thank you

Reassigning to db5.1 since db4.8 is obsolete in unstable and packages
should transition to db5.1. I would like to hear if sendmail is broken
with db5.1 as well and what I can do to help.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Bug Marked as found in versions db/4.8.24-1. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 06:12:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions db4.8/4.8.26-3. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 06:12:07 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions db/5.0.21-1. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 06:12:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions db4.8/4.8.30-1. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Wed, 27 Apr 2011 06:12:08 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@sury.org>:
You have taken responsibility. (Wed, 27 Apr 2011 06:12:11 GMT) Full text and rfc822 format available.

Notification sent to Richard A Nelson <cowboy@debian.org>:
Bug acknowledged by developer. (Wed, 27 Apr 2011 06:12:11 GMT) Full text and rfc822 format available.

Message #45 received at 565242-done@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: "565242-done@bugs.debian.org" <565242-done@bugs.debian.org>, "cowboy@debian.org" <cowboy@debian.org>
Subject: Fixed in db-4.8.30 and db-5.x
Date: Wed, 27 Apr 2011 08:08:28 +0200
found 565242 db/4.8.24-1
found 565242 db4.8/4.8.26-3
fixed 565242 db/5.0.21-1
fixed 565242 db4.8/4.8.30-1
thanks

https://bugzilla.redhat.com/show_bug.cgi?id=556148

And there is also patch to compile with db5 in RH bugzilla.

Ondřej Surý



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 May 2011 07:36:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:37:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.